SDL_GetAudioStreamAvailable(3)

NAME
SDL_GetAudioStreamAvailable - Get the number of converted/resampled bytes available.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetAudioStreamAvailable(SDL_AudioStream *stream);

DESCRIPTION
The stream may be buffering data behind the scenes until it has enough to resample correctly, so this number might be lower than what you expect, or even be zero. Add more data or flush the stream if you need the data now. If the stream has so much data that it would overflow an int, the return value is clamped to a maximum value, but no queued data is lost; if there are gigabytes of data queued, the app might need to read some of it with SDL_GetAudioStreamData
 before this function's return value is no longer clamped.

FUNCTION PARAMETERS

stream
    The audio stream to query

RETURN VALUE
Returns the number of converted/resampled bytes available.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetAudioStreamData(3), SDL_PutAudioStreamData(3)